Steam for Linux > Γενικές συζητήσεις > Λεπτομέρειες θέματος
superpineapple 18 Νοε, 2013 @ 6:56πμ
Installing Steam on Debian Wheezy 64bit
Can somebody please teach me how to install steam onto Debian Wheezy 64 bit? I'm new to linux.
Listing the codes to be typed in the terminal would be greatly appreciated. Thanks in advance. Hope this can serve as an aid to other linux noobs.

Cheers,
G

Εμφάνιση 1-15 από 28 σχόλια
< >
Shark 18 Νοε, 2013 @ 7:02πμ 
Not worth it, use Jessie.
superpineapple 18 Νοε, 2013 @ 7:20πμ 
I get the following error when I tried installing in on Wheezy:

root@G:/home/g/Downloads# dpkg -i steam_latest.deb
Selecting previously unselected package steam-launcher.
(Reading database ... 141980 files and directories currently installed.)
Unpacking steam-launcher (from steam_latest.deb) ...
dpkg: dependency problems prevent configuration of steam-launcher:
steam-launcher depends on curl; however:
Package curl is not installed.
steam-launcher depends on libc6 (>= 2.15); however:
Version of libc6:amd64 on system is 2.13-38.

dpkg: error processing steam-launcher (--install):
dependency problems - leaving unconfigured
Processing triggers for man-db ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Errors were encountered while processing:
steam-launcher
superpineapple 18 Νοε, 2013 @ 7:30πμ 
Αναρτήθηκε αρχικά από ^1Gentoo:
https://www.google.com/search?client=ubuntu&channel=fs&q=Installing+steam+on+Debian&ie=utf-8&oe=utf-8

This link doesn't work...

root@G:/tmp# wget {LINK REMOVED - Please don't spam, and be wary of scams.}http://goo.gl/fHS0p7 -O steam-debianwget {LINK REMOVED - Please don't spam, and be wary of scams.}http://goo.gl/fHS0p7 -O steam-debian_1.0.0.39-10-2_all.deb
--2013-11-18 23:28:19-- {LINK REMOVED - Please don't spam, and be wary of scams.}http://goo.gl/fHS0p7
Resolving goo.gl (goo.gl)... 173.194.126.37, 173.194.126.32, 173.194.126.39, ...
Connecting to goo.gl (goo.gl)|173.194.126.37|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: https://raw.github.com/GhostSquad57/Steam-Installer-for-Wheezy/master/steam-debian_1.0.0.39-10-2_all.deb [following]
--2013-11-18 23:28:20-- https://raw.github.com/GhostSquad57/Steam-Installer-for-Wheezy/master/steam-debian_1.0.0.39-10-2_all.deb
Resolving raw.github.com (raw.github.com)... 199.27.77.133
Connecting to raw.github.com (raw.github.com)|199.27.77.133|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2013-11-18 23:28:23 ERROR 404: Not Found.

--2013-11-18 23:28:23-- {LINK REMOVED - Please don't spam, and be wary of scams.}http://goo.gl/fHS0p7
Connecting to goo.gl (goo.gl)|173.194.126.37|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: https://raw.github.com/GhostSquad57/Steam-Installer-for-Wheezy/master/steam-debian_1.0.0.39-10-2_all.deb [following]
--2013-11-18 23:28:23-- https://raw.github.com/GhostSquad57/Steam-Installer-for-Wheezy/master/steam-debian_1.0.0.39-10-2_all.deb
Connecting to raw.github.com (raw.github.com)|199.27.77.133|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2013-11-18 23:28:24 ERROR 404: Not Found.
Apocryphus 18 Νοε, 2013 @ 7:47πμ 
Debian as a distro is more tailored towards intermediate users. Because Steam uses later packages than Debian stable, you'll have to use Debian unstable. To do this, you need to go to the
/etc/apt/sources.list
file and change anything with 'wheezy' to 'jessie'.

Do this at your own risk, hence the term 'unstable'; although the term itself is rather misleading since it's not that unstable, so to speak.

Then, you'll need to make your new system multiarch. To do this, you just type:

dpkg -add-architecture i386

If you want to check which architecture you have currently, type:

dpkg --print-architecture

I don't use Debian at home so my help can be limited; I'm only giving you instructions from what I know on Ubuntu since Ubuntu is Debian-based. If anything, I think Ubuntu or Linux Mint are good starting points for you since you'll need to also sort out your GPU's drivers which would be easier to install under the latter distros than Debian. Although, it is not impossible on Debian but just more tedious because Debian is on and on about FOSS.
Τελευταία επεξεργασία από Apocryphus; 18 Νοε, 2013 @ 7:48πμ
superpineapple 19 Νοε, 2013 @ 3:41πμ 
Αναρτήθηκε αρχικά από RAVEN MCCCXXXVII:
Debian as a distro is more tailored towards intermediate users. Because Steam uses later packages than Debian stable, you'll have to use Debian unstable. To do this, you need to go to the
/etc/apt/sources.list
file and change anything with 'wheezy' to 'jessie'.

Do this at your own risk, hence the term 'unstable'; although the term itself is rather misleading since it's not that unstable, so to speak.

Then, you'll need to make your new system multiarch. To do this, you just type:

dpkg -add-architecture i386

If you want to check which architecture you have currently, type:

dpkg --print-architecture

I don't use Debian at home so my help can be limited; I'm only giving you instructions from what I know on Ubuntu since Ubuntu is Debian-based. If anything, I think Ubuntu or Linux Mint are good starting points for you since you'll need to also sort out your GPU's drivers which would be easier to install under the latter distros than Debian. Although, it is not impossible on Debian but just more tedious because Debian is on and on about FOSS.

I've just upgraded to debian jessie as per your suggestion. Unfortunately after installing steam and dota 2 I came across this problem when launching the game.

"This application requires either GL_EXT_texture_compression_s3tc, or the GL_EXT_texture_compression_dxt1 + GL_ANGLE_texture_compression_dxt5 OpenGL extensions. Please install S3TC texture support"
Apocryphus 19 Νοε, 2013 @ 4:28πμ 
Αναρτήθηκε αρχικά από superpineapple:

I've just upgraded to debian jessie as per your suggestion. Unfortunately after installing steam and dota 2 I came across this problem when launching the game.

"This application requires either GL_EXT_texture_compression_s3tc, or the GL_EXT_texture_compression_dxt1 + GL_ANGLE_texture_compression_dxt5 OpenGL extensions. Please install S3TC texture support"

I think this error message may have something to do with your GPU drivers. What's your GPU and which drivers do you have installed?

Use
lspci | grep VGA
through the terminal to find out your GPU.
Τελευταία επεξεργασία από Apocryphus; 19 Νοε, 2013 @ 4:31πμ
superpineapple 19 Νοε, 2013 @ 11:48μμ 
Αναρτήθηκε αρχικά από RAVEN MCCCXXXVII:
Αναρτήθηκε αρχικά από superpineapple:

I've just upgraded to debian jessie as per your suggestion. Unfortunately after installing steam and dota 2 I came across this problem when launching the game.

"This application requires either GL_EXT_texture_compression_s3tc, or the GL_EXT_texture_compression_dxt1 + GL_ANGLE_texture_compression_dxt5 OpenGL extensions. Please install S3TC texture support"

I think this error message may have something to do with your GPU drivers. What's your GPU and which drivers do you have installed?

Use
lspci | grep VGA
through the terminal to find out your GPU.

I did what you said and here's the results:

00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [GeForce GT 540M] (rev a1)
Apocryphus 20 Νοε, 2013 @ 5:37πμ 
Αναρτήθηκε αρχικά από superpineapple:
Αναρτήθηκε αρχικά από RAVEN MCCCXXXVII:

I think this error message may have something to do with your GPU drivers. What's your GPU and which drivers do you have installed?

Use
lspci | grep VGA
through the terminal to find out your GPU.

I did what you said and here's the results:

00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [GeForce GT 540M] (rev a1)

Have a look adding the xorg edgers PPA to your distro, and have a look at bumblebee.

https://wiki.debian.org/Bumblebee

To use primus, you just use
primusrun %command
exactly as typed on the launch options.

Also, I think you ought to add the 'contrib' and 'non-free' repositories to your /etc/apt/sources.list file.
superpineapple 20 Νοε, 2013 @ 8:15πμ 
A new problem has emerged:

Manual configuration required to enable NVIDIA driver
The NVIDIA driver is not configured; it needs to be enabled in xorg.conf before it can be used.

Also, what sort of lines would I have to add to 'contrib' and 'non-free' repositories??
Apocryphus 20 Νοε, 2013 @ 8:29πμ 
Αναρτήθηκε αρχικά από superpineapple:
A new problem has emerged:

Manual configuration required to enable NVIDIA driver
The NVIDIA driver is not configured; it needs to be enabled in xorg.conf before it can be used.

Also, what sort of lines would I have to add to 'contrib' and 'non-free' repositories??

Have you installed Bumblebee?

You need to add 'contrib' and 'non-free' to the same lines as 'jessie' etc. The same line as the address essentially.
superpineapple 21 Νοε, 2013 @ 6:56πμ 
I have the following in my /etc/apt/sources.list:
"
deb http://ftp.us.debian.org/debian/ jessie main non-free contrib
deb-src http://ftp.us.debian.org/debian/ jessie main non-free contrib

deb http://ftp.debian.org/debian/ experimental main contrib non-free
deb-src http://ftp.debian.org/debian/ experimental main contrib non-free

deb http://security.debian.org/ jessie/updates main contrib non-free
deb-src http://security.debian.org/ jessie/updates main contrib non-free

# wheezy-updates, previously known as 'volatile'
deb http://ftp.us.debian.org/debian/ jessie-updates main contrib non-free
deb-src http://ftp.us.debian.org/debian/ jessie-updates main contrib non-free
"

Correct, no?
Unfortunately now my steam doesn't launch...

"
Running Steam on debian 64-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(1383158641_client)
Gen6+ requires Kernel 3.6 or later.
steam: ../../../../../src/mesa/main/context.c:1501: _mesa_make_current: Assertion `newCtx->Version > 0' failed.
ILocalize::AddFile() failed to load file "public/steambootstrapper_english.txt".
[2013-11-22 01:12:54] Startup - updater built Nov 13 2013 10:52:47
Uploading dump (out-of-process) [proxy '']
/tmp/dumps/crash_20131122011254_1.dmp
/home/g/.local/share/Steam/steam.sh: line 755: 5314 Aborted $STEAM_DEBUGGER "$STEAMROOT/$PLATFORM/$STEAMEXE" "$@"
mv: cannot stat ‘/home/g/.steam/registry.vdf’: No such file or directory
Installing bootstrap /home/g/.local/share/Steam/bootstrap.tar.xz
Reset complete!
Restarting Steam by request...
Running Steam on debian 64-bit
STEAM_RUNTIME has been set by the user to: /home/g/.local/share/Steam/ubuntu12_32/steam-runtime
Installing breakpad exception handler for appid(steam)/version(1383158641_client)
Gen6+ requires Kernel 3.6 or later.
steam: ../../../../../src/mesa/main/context.c:1501: _mesa_make_current: Assertion `newCtx->Version > 0' failed.
ILocalize::AddFile() failed to load file "public/steambootstrapper_english.txt".
[2013-11-22 01:12:55] Startup - updater built Nov 13 2013 10:52:47
Uploading dump (out-of-process) [proxy '']
/tmp/dumps/crash_20131122011255_1.dmp
/home/g/.local/share/Steam/steam.sh: line 755: 5436 Aborted $STEAM_DEBUGGER "$STEAMROOT/$PLATFORM/$STEAMEXE" "$@"
Finished uploading minidump (out-of-process): success = yes
response: CrashID=bp-ea67a260-69b7-4f5e-91b0-22ecd2131121
"
Τελευταία επεξεργασία από superpineapple; 21 Νοε, 2013 @ 9:13πμ
Apocryphus 21 Νοε, 2013 @ 10:53πμ 
I really don't know. If it's any consolation, you should try Ubuntu or Linux Mint. Why did you choose Debian?
Shadow ♛ 21 Νοε, 2013 @ 11:29πμ 
Hi,

Since the last update i get this error in my CSGO dedicated server logs :

[S_API FAIL] SteamAPI_Init() failed; SteamAPI_IsSteamRunning() failed.
[S_API FAIL] SteamAPI_Init() failed; unable to locate a running instance of Steam, or a local steamclient.dll.

all my servers are down ...

I don't know how to fix it, i'm on linux Debian 64

Sincerely
superpineapple 21 Νοε, 2013 @ 4:12μμ 
Αναρτήθηκε αρχικά από RAVEN MCCCXXXVII:
I really don't know. If it's any consolation, you should try Ubuntu or Linux Mint. Why did you choose Debian?

Yea I like Debian over Linux Mint as I'm able to install Engineering tools like MatLab and such for work purposes.
Εμφάνιση 1-15 από 28 σχόλια
< >
Ανά σελίδα: 15 30 50
Ημ/νία ανάρτησης: 18 Νοε, 2013 @ 6:56πμ
Αναρτήσεις: 28